> ## Documentation Index
> Fetch the complete documentation index at: https://docs.nox.energy/llms.txt
> Use this file to discover all available pages before exploring further.

# Submit Manufacturer Settings

> [DEPRECATING Moving to user management -> PATCH /1/devices/settings] Update on a user/device level the manufacturer settings.

 You can change the following settings:

 * The lower and upper comfort temperature bounds for domestic hot water heating in degrees celcius.

 * The optimization settings.

 * The country code and the postal code



## OpenAPI

````yaml /api-docs/manufacturer/openapi-manufacturer.json post /v1/manufacturer/settings
openapi: 3.1.0
info:
  title: NOX Energy API - Manufacturer
  description: >
    # Manufacturer API Documentation


    This documentation shows only the endpoints available to manufacturer users.


    ## Authentication


    1. Get your API key from [NOX Energy](mailto:support@nox.energy).

    2. Include the API key in your API calls with the header: `x-api-key:
    YOUR_API_KEY`.


    ## Access Level


    This documentation is specifically for **manufacturer users** who have
    access to these endpoints.


    Base URL: [https://api.nox.energy](https://api.nox.energy)
  version: 1.0.0
servers:
  - url: https://api.nox.energy
    description: Production Server
security:
  - ApiKeyAuth: []
tags:
  - name: Asset Info
    description: API to get basic information about your assets.
  - name: Manufacturer Control
    description: API for manufacturer control specific endpoints.
  - name: User Management
    description: API endpoints to manage users and their data.
paths:
  /v1/manufacturer/settings:
    post:
      tags:
        - Manufacturer Control
      summary: Submit Manufacturer Settings
      description: >-
        [DEPRECATING Moving to user management -> PATCH /1/devices/settings]
        Update on a user/device level the manufacturer settings.

         You can change the following settings:

         * The lower and upper comfort temperature bounds for domestic hot water heating in degrees celcius.

         * The optimization settings.

         * The country code and the postal code
      operationId: submit_manufacturer_settings_v1_manufacturer_settings_post
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              additionalProperties: true
              title: Request Body
            examples:
              settings_example:
                summary: Example of optimization settings submission
                value:
                  device_id: '123'
                  dhw:
                    temperature_upper_bound: 50
                    temperature_lower_bound: 40
                  optimization_settings:
                    pv_self_consumption: true
                    dynamic_tariff: true
                    flex_trading: false
                  location:
                    country: BE
                    postal_code: '123456'
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                additionalProperties: true
                title: >-
                  Response Submit Manufacturer Settings V1 Manufacturer Settings
                  Post
              example:
                status: success
                message: Settings updated successfully.
                meta:
                  manufacturer: Manufacturer A
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key
      description: 'API Key authentication. Enter your API key in the format: YOUR_API_KEY'

````